Uploaded image for project: 'Qt Creator'
  1. Qt Creator
  2. QTCREATORBUG-26345

change Qt Creator to modify build.gradle to update the SDK versions.

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Reported
    • Priority: Not Evaluated
    • Resolution: Unresolved
    • Affects Version/s: Qt Creator 5.0.1
    • Fix Version/s: None
    • Component/s: Android Support
    • Labels:
      None
    • Platform/s:
      Android

      Description

      Since the fix of QTBUG-70817 targetSdkVersion minSdkVersion need to be removed from the AndroidManifest.xml file and put in the defaultConfig section of the projects build.gradle file manually by editing these files as plain text files.

      There is no method of settings these 2 values in Qt Creator.

      As the compileSdkVersion is set by the "Android build SDK" value in the Build Android APK section of QT Creators Build Settings (resulting in androidCompileSdkVersion in the gradle.properties file ) , it makes sense to include the minSdkVersion and targetSdkVersion here to, instead of having the build.gradle point per default to the qtMinSdkVersion and qtTargetSdkVersion

      Taking any project and building it as is can now result in a situation where although the user has set the build SDK to 30, Google Play store refuses it having the targetSdkVersion = qtTargetSdkVersion = 28 and also violating the common sense rule :
      minSdkVersion <= targetSdkVersion == compileSdkVersion

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            portale Alessandro Portale
            Reporter:
            jeanc Jean Custers
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Dates

              Created:
              Updated:

                Gerrit Reviews

                There are no open Gerrit changes